---
# tasks file for ansible/roles/jenkins_agent
- name: read agent ssh public key from file
  set_fact:
    jenkins_agent_ssh_public_key: "{{ lookup('file', jenkins_agent_ssh_public_key_path) }}"
- name: create remote infrastructure dir
  file:
    name: "{{ remote_home_dir }}/infrastructure/jenkins_agent"
    owner: "{{ ansible_ssh_user }}"
    group: "{{ ansible_ssh_group }}"
    mode: 0755
    state: directory
- name: prepare dockerfile from template
  template:
    src: dockerfile.j2
    dest: "{{ remote_home_dir }}/infrastructure/jenkins_agent/Dockerfile"
- name: build jenkins agent image
  community.docker.docker_image:
    build:
      path: "{{ home_path }}/infrastructure/jenkins_agent"
      dockerfile: Dockerfile
      args:
        JENKINS_AGENT_VERSION: "{{ jenkins_agent_version }}"
    name: jenkins_agent
    source: build
  register: jenkins_agent_build_output
- name: check image id
  debug:
    var: jenkins_agent_build_output.image.Id
- name: start jenkins agent
  community.docker.docker_container:
    name: jenkins_agent
    image: "{{ jenkins_agent_build_output.image.Id }}"
    state: started
    restart: true
    pull: false
    volumes:
      - "/var/run/docker.sock:/var/run/docker.sock"
    env:
      JENKINS_AGENT_SSH_PUBKEY: "{{ jenkins_agent_ssh_public_key }}"
